r24015: merge RHEL4-CTDB packaging stuff from
authorStefan Metzmacher <metze@samba.org>
Tue, 24 Jul 2007 08:42:21 +0000 (08:42 +0000)
committerGerald (Jerry) Carter <jerry@samba.org>
Wed, 10 Oct 2007 17:28:56 +0000 (12:28 -0500)
http://people.samba.org/bzr/metze/samba/3_2-ctdb-metze/

metze

15 files changed:
packaging/RHEL4-CTDB/README [new file with mode: 0644]
packaging/RHEL4-CTDB/configure.rpm [new file with mode: 0644]
packaging/RHEL4-CTDB/makerpms.sh [new file with mode: 0644]
packaging/RHEL4-CTDB/samba.spec [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/filter-requires-samba.sh [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/samba.log [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/samba.pamd [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/samba.sysconfig [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/smb.conf [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/smb.init [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/smbprint [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/smbusers [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/swat [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/swat.desktop [new file with mode: 0644]
packaging/RHEL4-CTDB/setup/winbind.init [new file with mode: 0644]

diff --git a/packaging/RHEL4-CTDB/README b/packaging/RHEL4-CTDB/README
new file mode 100644 (file)
index 0000000..1316820
--- /dev/null
@@ -0,0 +1,3 @@
+In order to keep the docs out of the bzr tree, first get a release 
+tarball of samba, then invoke makerpms.sh with the DOCS_DIR variable
+pointing to the docs dir of that samba tarball.
diff --git a/packaging/RHEL4-CTDB/configure.rpm b/packaging/RHEL4-CTDB/configure.rpm
new file mode 100644 (file)
index 0000000..e1a58dd
--- /dev/null
@@ -0,0 +1,34 @@
+
+CFLAGS="-Wall -g -D_GNU_SOURCE" ./configure \
+       --prefix=/usr \
+       --localstatedir=/var \
+       --with-configdir=/etc/samba \
+       --with-libdir=/usr/lib/samba \
+       --with-lockdir=/var/lib/samba \
+       --with-logfilebase=/var/log/samba \
+       --with-mandir=/usr/man \
+       --with-piddir=/var/run \
+       --with-privatedir=/etc/samba \
+       --with-sambabook=/usr/share/swat/using_samba \
+       --with-swatdir=/usr/share/swat \
+       --enable-cups \
+       --with-acl-support \
+       --with-ads \
+       --with-automount \
+       --with-fhs \
+       --with-pam_smbpass \
+       --with-libsmbclient \
+       --with-libsmbsharemodes \
+       --without-smbwrapper \
+       --with-pam \
+       --with-quotas \
+       --with-shared-modules=idmap_rid,idmap_ad \
+       --with-smbmount \
+       --with-syslog \
+       --with-utmp \
+       --with-cluster-support \
+       --with-ctdb=/usr/include \
+       --without-ldb \
+       --with-dnsupdate \
+       --with-aio-support \
+       $*
diff --git a/packaging/RHEL4-CTDB/makerpms.sh b/packaging/RHEL4-CTDB/makerpms.sh
new file mode 100644 (file)
index 0000000..238a2e8
--- /dev/null
@@ -0,0 +1,102 @@
+#!/bin/sh
+# Copyright (C) John H Terpstra 1998-2002
+#               Gerald (Jerry) Carter 2003
+
+# The following allows environment variables to override the target directories
+#   the alternative is to have a file in your home directory calles .rpmmacros
+#   containing the following:
+#   %_topdir  /home/mylogin/redhat
+#
+# Note: Under this directory rpm expects to find the same directories that are under the
+#   /usr/src/redhat directory
+#
+
+# set DOCS_DIR to the path to a release tarball docs dir in order to get docs
+EXTRA_OPTIONS="$1"
+
+SPECDIR=`rpm --eval %_specdir`
+SRCDIR=`rpm --eval %_sourcedir`
+
+# At this point the SPECDIR and SRCDIR vaiables must have a value!
+
+USERID=`id -u`
+GRPID=`id -g`
+VERSION='3.0.25'
+REVISION='ctdb'
+SPECFILE="samba.spec"
+RPMVER=`rpm --version | awk '{print $3}'`
+RPM="rpmbuild"
+
+##
+## Check the RPM version (paranoid)
+##
+case $RPMVER in
+    4*)
+       echo "Supported RPM version [$RPMVER]"
+       ;;
+    *)
+       echo "Unknown RPM version: `rpm --version`"
+       exit 1
+       ;;
+esac
+
+pushd .
+cd ../../source
+if [ -f Makefile ]; then 
+       make distclean
+fi
+popd
+
+pushd .
+cd ../../
+SRCTREE=`basename $PWD`
+if [ $DOCS_DIR ] && [ -d $DOCS_DIR ]; then
+    mv docs docs-orig
+    ln -s $DOCS_DIR docs
+fi
+cd ../
+chown -R ${USERID}.${GRPID} $SRCTREE
+if [ ! -d samba-${VERSION} ]; then
+       ln -s $SRCTREE samba-${VERSION} || exit 1
+fi
+echo -n "Creating samba-${VERSION}.tar.bz2 ... "
+tar --exclude=.svn --exclude=.bzr --exclude=.bzrignore --exclude=docs-orig -chf - samba-${VERSION}/. | bzip2 > ${SRCDIR}/samba-${VERSION}.tar.bz2
+echo "Done."
+if [ $? -ne 0 ]; then
+       popd
+       cd ../../
+       # restore original structure if docs were specified
+       if [ ${DOCS_DIR} ] && [ -d docs-orig ] && [ -L docs ]; then
+           rm docs
+           mv docs-orig docs
+       fi
+        echo "Build failed!"
+        exit 1
+fi
+
+popd
+
+
+##
+## copy additional source files
+##
+chmod 755 setup/filter-requires-samba.sh
+tar --exclude=.svn -jcvf - setup > ${SRCDIR}/setup.tar.bz2
+cp -p ${SPECFILE} ${SPECDIR}
+
+##
+## Build
+##
+echo "$(basename $0): Getting Ready to build release package"
+cd ${SPECDIR}
+${RPM} -ba --clean --rmsource $EXTRA_OPTIONS $SPECFILE
+
+# restore original structure if docs were specified
+cd ../../
+if [ ${DOCS_DIR} ] && [ -d docs-orig ] && [ -L docs ]; then
+    rm docs
+    mv -f docs-orig docs
+fi
+
+echo "$(basename $0): Done."
+
diff --git a/packaging/RHEL4-CTDB/samba.spec b/packaging/RHEL4-CTDB/samba.spec
new file mode 100644 (file)
index 0000000..024a9a9
--- /dev/null
@@ -0,0 +1,514 @@
+%define initdir %{_sysconfdir}/rc.d/init.d
+%define auth %(test -f /etc/pam.d/system-auth && echo /etc/pam.d/system-auth || echo)
+
+Summary: Samba SMB client and server
+Vendor: Samba Team
+Packager: Samba Team <samba@samba.org>
+Name:         samba
+Version:      3.0.25
+Release:      ctdb.1
+Epoch:        0
+License: GNU GPL version 2
+Group: System Environment/Daemons
+URL: http://www.samba.org/
+
+Source: samba-%{version}.tar.bz2
+
+# Don't depend on Net::LDAP
+Source998: filter-requires-samba.sh
+Source999: setup.tar.bz2
+
+Prereq: /sbin/chkconfig /bin/mktemp /usr/bin/killall
+Prereq: fileutils sed /etc/init.d
+
+Requires: pam >= 0.64 %{auth} 
+Requires: samba-common = %{version}-%{release}
+Requires: logrotate >= 3.4 initscripts >= 5.54-1
+Provides: samba = %{version}
+
+Prefix: /usr
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
+BuildRequires: pam-devel, readline-devel, fileutils, libacl-devel, openldap-devel, krb5-devel, cups-devel, ctdb
+
+# Working around perl dependency problem from docs
+%define __perl_requires %{SOURCE998}
+
+
+%description
+Samba is the protocol by which a lot of PC-related machines share
+files, printers, and other information (such as lists of available
+files and printers). The Windows NT, OS/2, and Linux operating systems
+support this natively, and add-on packages can enable the same thing
+for DOS, Windows, VMS, UNIX of all kinds, MVS, and more. This package
+provides an SMB server that can be used to provide network services to
+SMB (sometimes called "Lan Manager") clients. Samba uses NetBIOS over
+TCP/IP (NetBT) protocols and does NOT need the NetBEUI (Microsoft Raw
+NetBIOS frame) protocol.
+
+
+#######################################################################
+%package client
+Summary: Samba (SMB) client programs.
+Group: Applications/System
+Requires: samba-common = %{version}-%{release}
+Obsoletes: smbfs
+Provides: samba-client = %{version}-%{release}
+
+%description client
+The samba-client package provides some SMB clients to compliment the
+built-in SMB filesystem in Linux. These clients allow access of SMB
+shares and printing to SMB printers.
+
+
+#######################################################################
+%package common
+Summary: Files used by both Samba servers and clients.
+Group: Applications/System
+Provides: samba-common = %{version}-%{release}
+
+%description common
+Samba-common provides files necessary for both the server and client
+packages of Samba.
+
+
+#######################################################################
+%package swat
+Summary: The Samba SMB server configuration program.
+Group: Applications/System
+Requires: samba = %{version} xinetd
+Provides: samba-swat = %{version}-%{release}
+
+%description swat
+The samba-swat package includes the new SWAT (Samba Web Administration
+Tool), for remotely managing Samba's smb.conf file using your favorite
+Web browser.
+
+
+#######################################################################
+%package doc
+Summary:      Samba Documentation
+Group:        Documentation/Other
+Provides:     samba-doc = %{version}-%{release}
+Prereq:       /usr/bin/find /bin/rm /usr/bin/xargs
+
+%description doc
+The samba-doc package includes the HTML versions of the Samba manpages
+utilized by SWAT as well as the HTML and PDF version of "Using Samba",
+"Samba By Example", and "The Official Samba HOWTO and Reference Guide".
+
+
+#######################################################################
+
+%prep
+%setup -q
+
+# setup the vendor files (init scripts, etc...)
+%setup -T -D -a 999 -n samba-%{version} -q
+
+%build
+
+/bin/cp setup/filter-requires-samba.sh %{SOURCE998}
+
+cd source
+# RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
+
+## check for ccache
+# ccache -h 2>&1 > /dev/null
+#if [ $? -eq 0 ]; then
+#      CC="ccache gcc"
+#else
+       CC="gcc"
+#fi 
+
+## always run autogen.sh
+./autogen.sh
+
+CFLAGS="$RPM_OPT_FLAGS $EXTRA -D_GNU_SOURCE" ./configure \
+       --prefix=%{_prefix} \
+       --localstatedir=/var \
+        --with-configdir=%{_sysconfdir}/samba \
+        --with-libdir=%{_libdir}/samba \
+        --with-lockdir=/var/lib/samba \
+        --with-logfilebase=/var/log/samba \
+        --with-mandir=%{_mandir} \
+        --with-piddir=/var/run \
+       --with-privatedir=%{_sysconfdir}/samba \
+        --with-sambabook=%{_datadir}/swat/using_samba \
+        --with-swatdir=%{_datadir}/swat \
+       --enable-cups \
+        --with-acl-support \
+       --with-ads \
+        --with-automount \
+        --with-fhs \
+       --with-pam_smbpass \
+       --with-libsmbclient \
+       --with-libsmbsharemodes \
+        --without-smbwrapper \
+       --with-pam \
+       --with-quotas \
+       --with-shared-modules=idmap_rid,idmap_ad \
+       --with-smbmount \
+       --with-syslog \
+       --with-utmp \
+       --with-cluster-support \
+       --with-ctdb=/usr/include \
+       --without-ldb \
+       --with-dnsupdate \
+       --with-aio-support
+
+make showlayout
+
+make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"  proto 
+
+## check for gcc 3.4 or later
+CC_VERSION=`${CC} --version | head -1 | awk '{print $3}'`
+CC_MAJOR=`echo ${CC_VERSION} | cut -d. -f 1`
+CC_MINOR=`echo ${CC_VERSION} | cut -d. -f 2`
+if [ ${CC_MAJOR} -ge 3 ]; then
+        if [ ${CC_MAJOR} -gt 3 -o ${CC_MINOR} -ge 4 ]; then
+                make pch
+        fi
+fi
+
+
+make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" %{?_smp_mflags} \
+       all modules pam_smbpass
+
+## build the cifs fs mount helper
+cd client
+gcc  -o mount.cifs $RPM_OPT_FLAGS  -D_GNU_SOURCE -Wall -D_GNU_SOURCE -D_LARGEFILE64_SOURCE mount.cifs.c
+gcc  -o umount.cifs $RPM_OPT_FLAGS  -D_GNU_SOURCE -Wall -D_GNU_SOURCE -D_LARGEFILE64_SOURCE umount.cifs.c
+cd ..
+
+# Remove some permission bits to avoid to many dependencies
+cd ..
+find examples docs -type f | xargs -r chmod -x
+
+%install
+# Clean up in case there is trash left from a previous build
+rm -rf $RPM_BUILD_ROOT
+
+# Create the target build directory hierarchy
+mkdir -p $RPM_BUILD_ROOT%{_datadir}/swat/{help,include,using_samba/{figs,gifsa}}
+mkdir -p $RPM_BUILD_ROOT%{_includedir}
+mkdir -p $RPM_BUILD_ROOT%{_initrddir}
+mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}
+mkdir -p $RPM_BUILD_ROOT%{_libdir}/samba/{auth,charset,idmap,vfs,pdb}
+mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
+mkdir -p $RPM_BUILD_ROOT%{_mandir}
+mkdir -p $RPM_BUILD_ROOT%{_prefix}/{bin,sbin}
+mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
+mkdir -p $RPM_BUILD_ROOT/sbin
+mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{logrotate.d,pam.d,samba}
+mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,logrotate.d}
+mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
+mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{samba,sysconfig}
+mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
+mkdir -p $RPM_BUILD_ROOT/var/lib/samba/winbindd_privileged
+mkdir -p $RPM_BUILD_ROOT/var/{log,run/winbindd,spool}/samba
+
+cd source
+make DESTDIR=$RPM_BUILD_ROOT \
+        install
+cd ..
+
+# pam_smbpass
+cp source/bin/pam_smbpass.so $RPM_BUILD_ROOT/%{_lib}/security/pam_smbpass.so
+
+# NSS & PAM winbind support
+install -m 755 source/bin/pam_winbind.so $RPM_BUILD_ROOT/%{_lib}/security/pam_winbind.so
+install -m 755 source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so
+install -m 755 source/nsswitch/libnss_wins.so $RPM_BUILD_ROOT/%{_lib}/libnss_wins.so
+( cd $RPM_BUILD_ROOT/%{_lib};
+  ln -sf libnss_winbind.so  libnss_winbind.so.2;
+  ln -sf libnss_wins.so  libnss_wins.so.2 )
+
+# make install puts libsmbclient.so in the wrong place on x86_64
+rm -f $RPM_BUILD_ROOT/usr/lib*/samba/libsmbclient.so $RPM_BUILD_ROOT/usr/lib*/samba/libsmbclient.a || true
+install -m 755 source/bin/libsmbclient.so $RPM_BUILD_ROOT%{_libdir}/libsmbclient.so
+install -m 755 source/bin/libsmbclient.a $RPM_BUILD_ROOT%{_libdir}/libsmbclient.a
+install -m 644 source/include/libsmbclient.h $RPM_BUILD_ROOT%{_includedir}
+ln -s %{_libdir}/libsmbclient.so $RPM_BUILD_ROOT%{_libdir}/libsmbclient.so.0
+
+# make install puts libmsrpc.so in the wrong place on x86_64
+rm -f $RPM_BUILD_ROOT/usr/lib*/samba/libmsrpc.so $RPM_BUILD_ROOT/usr/lib*/samba/libmsrpc.a || true
+install -m 755 source/bin/libmsrpc.so $RPM_BUILD_ROOT%{_libdir}/libmsrpc.so
+install -m 755 source/bin/libmsrpc.a $RPM_BUILD_ROOT%{_libdir}/libmsrpc.a
+install -m 644 source/include/libmsrpc.h $RPM_BUILD_ROOT%{_includedir}
+rm -f $RPM_BUILD_ROOT%{_libdir}/samba/libmsrpc.*
+ln -s /%{_libdir}/libmsrpc.so $RPM_BUILD_ROOT%{_libdir}/libmsrpc.so.0
+
+# make install puts libsmbsharemodes.so in the wrong place on x86_64
+rm -f $RPM_BUILD_ROOT/usr/lib*/samba/libsmbsharemodes.so $RPM_BUILD_ROOT/usr/lib*/samba/libsmbsharemodes.a || true
+install -m 755 source/bin/libsmbsharemodes.so $RPM_BUILD_ROOT%{_libdir}/libsmbsharemodes.so
+install -m 755 source/bin/libsmbsharemodes.a $RPM_BUILD_ROOT%{_libdir}/libsmbsharemodes.a
+install -m 644 source/include/smb_share_modes.h $RPM_BUILD_ROOT%{_includedir}
+rm -f $RPM_BUILD_ROOT%{_libdir}/samba/libsmbsharemodes.*
+ln -s /%{_libdir}/libsmbsharemodes.so $RPM_BUILD_ROOT%{_libdir}/libsmbsharemodes.so.0
+
+# Install pam_smbpass.so
+install -m755 source/bin/pam_smbpass.so $RPM_BUILD_ROOT/%{_lib}/security/pam_smbpass.so
+
+## cleanup
+/bin/rm -rf $RPM_BUILD_ROOT/usr/lib*/samba/security
+
+# we need a symlink for mount to recognise the smb and smbfs filesystem types
+ln -sf %{_prefix}/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs
+ln -sf %{_prefix}/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
+/bin/rm -f $RPM_BUILD_ROOT/mount.smbfs
+
+# Install the miscellany
+echo 127.0.0.1 localhost > $RPM_BUILD_ROOT%{_sysconfdir}/samba/lmhosts
+
+install -m644 setup/samba.log $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/samba
+install -m644 setup/swat $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/swat
+install -m644 setup/samba.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/samba
+install -m755 setup/smb.init $RPM_BUILD_ROOT%{initdir}/smb
+install -m755 setup/winbind.init $RPM_BUILD_ROOT%{initdir}/winbind
+install -m644 setup/samba.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/samba
+install -m755 setup/smbprint $RPM_BUILD_ROOT%{_bindir}
+install -m644 setup/smbusers $RPM_BUILD_ROOT%{_sysconfdir}/samba/smbusers
+install -m644 setup/smb.conf $RPM_BUILD_ROOT%{_sysconfdir}/samba/smb.conf
+install -m755 source/client/mount.cifs $RPM_BUILD_ROOT/sbin/mount.cifs
+install -m755 source/client/umount.cifs $RPM_BUILD_ROOT/sbin/umount.cifs
+install -m755 source/script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_bindir}
+
+/bin/rm $RPM_BUILD_ROOT%{_sbindir}/*mount.cifs
+
+ln -s ../..%{initdir}/smb  $RPM_BUILD_ROOT%{_sbindir}/samba
+ln -s ../..%{initdir}/winbind  $RPM_BUILD_ROOT%{_sbindir}/winbind
+
+# Remove "*.old" files
+find $RPM_BUILD_ROOT -name "*.old" -exec rm -f {} \;
+
+## don't duplicate the docs.  These are installed by/with SWAT
+rm -rf docs/htmldocs
+rm -rf docs/manpages
+( cd docs; ln -s %{_prefix}/share/swat/help htmldocs )
+
+##
+## Clean out man pages for tools not installed here
+##
+rm -f $RPM_BUILD_ROOT%{_mandir}/man1/log2pcap.1*
+rm -f $RPM_BUILD_ROOT%{_mandir}/man1/smbsh.1*
+rm -f $RPM_BUILD_ROOT%{_mandir}/man5/vfstest.1*
+
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%post
+## deal with an upgrade from a broken 3.0.21b RPM
+if [ "$1" -eq "2" ]; then
+       if [ -d /var/cache/samba ]; then
+               for file in `ls /var/cache/samba/*tdb`; do
+                       /bin/cp -up $file /var/lib/samba/`basename $file`
+               done
+               mkdir -p /var/lib/samba/eventlog
+               for file in `ls /var/cache/samba/eventlog/*tdb`; do
+                       /bin/cp -up $file /var/lib/samba/eventlog/`basename $file`
+               done
+               /bin/mv /var/cache/samba /var/cache/samba.moved
+        fi
+fi
+
+%preun
+if [ $1 = 0 ] ; then
+    /sbin/chkconfig --del smb
+    /sbin/chkconfig --del winbind
+    # rm -rf /var/log/samba/* /var/lib/samba/*
+    /sbin/service smb stop >/dev/null 2>&1
+fi
+exit 0
+
+%postun
+if [ "$1" -ge "1" ]; then
+       %{initdir}/smb restart >/dev/null 2>&1
+fi     
+
+
+%post swat
+# Add swat entry to /etc/services if not already there.
+if [ ! "`grep ^\s**swat /etc/services`" ]; then
+        echo 'swat        901/tcp     # Add swat service used via inetd' >> /etc/services
+fi
+
+%post common
+/sbin/ldconfig
+
+%postun common 
+/sbin/ldconfig
+
+#######################################################################
+## Files section                                                     ##
+#######################################################################
+
+%files
+%defattr(-,root,root)
+
+%config(noreplace) %{_sysconfdir}/sysconfig/samba
+%config(noreplace) %{_sysconfdir}/samba/smbusers
+%attr(755,root,root) %config %{initdir}/smb
+%attr(755,root,root) %config %{initdir}/winbind
+%config(noreplace) %{_sysconfdir}/logrotate.d/samba
+%config(noreplace) %{_sysconfdir}/pam.d/samba
+
+%attr(0755,root,root) %dir /var/log/samba
+%attr(0755,root,root) %dir /var/lib/samba
+%attr(1777,root,root) %dir /var/spool/samba
+
+%{_sbindir}/samba
+%{_sbindir}/winbind
+
+%{_sbindir}/smbd
+%{_sbindir}/nmbd
+
+%{_bindir}/mksmbpasswd.sh
+%{_bindir}/smbcontrol
+%{_bindir}/smbstatus
+%{_bindir}/tdbbackup
+%{_bindir}/tdbtool
+%{_bindir}/tdbdump
+%{_bindir}/eventlogadm
+
+%{_libdir}/samba/idmap/*.so
+%{_libdir}/samba/nss_info/*.so
+%{_libdir}/samba/vfs/*.so
+%{_libdir}/samba/auth/*.so
+
+%{_mandir}/man1/smbcontrol.1*
+%{_mandir}/man1/smbstatus.1*
+%{_mandir}/man1/vfstest.1*
+%{_mandir}/man5/smbpasswd.5*
+%{_mandir}/man7/samba.7*
+%{_mandir}/man8/nmbd.8*
+%{_mandir}/man8/pdbedit.8*
+%{_mandir}/man8/smbd.8*
+%{_mandir}/man8/tdbbackup.8*
+%{_mandir}/man8/tdbdump.8*
+%{_mandir}/man8/tdbtool.8*
+%{_mandir}/man8/eventlogadm.8*
+%{_mandir}/man8/vfs_*.8*
+%{_mandir}/man8/idmap_*.8*
+
+
+##########
+
+%files doc
+%defattr(-,root,root)
+%doc README COPYING Manifest 
+%doc WHATSNEW.txt Roadmap
+%doc docs
+%doc examples/autofs examples/LDAP examples/libsmbclient examples/misc examples/printer-accounting
+%doc examples/printing
+
+##########
+
+%files swat
+%defattr(-,root,root)
+%config(noreplace) %{_sysconfdir}/xinetd.d/swat
+%dir %{_datadir}/swat
+%{_datadir}/swat/
+%{_sbindir}/swat
+%{_mandir}/man8/swat.8*
+%attr(755,root,root) %{_libdir}/samba/*.msg
+
+##########
+
+%files client
+%defattr(-,root,root)
+/sbin/mount.smb
+/sbin/mount.smbfs
+/sbin/mount.cifs
+/sbin/umount.cifs
+
+%{_bindir}/rpcclient
+%{_bindir}/smbcacls
+%{_bindir}/smbmount
+%{_bindir}/smbmnt
+%{_bindir}/smbumount
+%{_bindir}/findsmb
+%{_bindir}/nmblookup
+%{_bindir}/smbget
+%{_bindir}/smbclient
+%{_bindir}/smbprint
+%{_bindir}/smbspool
+%{_bindir}/smbtar
+%{_bindir}/smbtree
+
+%{_mandir}/man8/smbmnt.8*
+%{_mandir}/man8/smbmount.8*
+%{_mandir}/man8/smbumount.8*
+%{_mandir}/man8/mount.cifs.8.*
+%{_mandir}/man8/umount.cifs.8.*
+%{_mandir}/man8/smbspool.8*
+%{_mandir}/man1/smbget.1*
+%{_mandir}/man5/smbgetrc.5*
+%{_mandir}/man1/findsmb.1*
+%{_mandir}/man1/nmblookup.1*
+%{_mandir}/man1/rpcclient.1*
+%{_mandir}/man1/smbcacls.1*
+%{_mandir}/man1/smbclient.1*
+%{_mandir}/man1/smbtar.1*
+%{_mandir}/man1/smbtree.1*
+
+##########
+
+%files common
+%defattr(-,root,root)
+%dir %{_sysconfdir}/samba
+%dir %{_libdir}/samba
+%dir %{_libdir}/samba/charset
+%config(noreplace) %{_sysconfdir}/samba/smb.conf
+%config(noreplace) %{_sysconfdir}/samba/lmhosts
+%{_initrddir}/winbind
+
+%attr(755,root,root) /%{_lib}/libnss_wins.so*
+%attr(755,root,root) /%{_lib}/libnss_winbind.so*
+%attr(755,root,root) /%{_lib}/security/pam_winbind.so
+%attr(755,root,root) /%{_lib}/security/pam_smbpass.so
+
+%{_includedir}/libsmbclient.h
+%{_libdir}/libsmbclient.*
+%{_includedir}/libmsrpc.h
+%{_libdir}/libmsrpc.*
+%{_includedir}/smb_share_modes.h
+%{_libdir}/libsmbsharemodes.*
+
+%{_libdir}/samba/*.dat
+%{_libdir}/samba/charset/*.so
+
+%{_sbindir}/winbindd
+%{_bindir}/testparm
+%{_bindir}/smbpasswd
+%{_bindir}/profiles
+%{_bindir}/net
+%{_bindir}/ldbadd
+%{_bindir}/ldbdel
+%{_bindir}/ldbedit
+%{_bindir}/ldbmodify
+%{_bindir}/ldbsearch
+%{_bindir}/wbinfo
+%{_bindir}/ntlm_auth
+%{_bindir}/pdbedit
+%{_bindir}/smbcquotas
+
+%{_mandir}/man1/ntlm_auth.1*
+%{_mandir}/man1/profiles.1*
+%{_mandir}/man1/smbcquotas.1*
+%{_mandir}/man1/testparm.1*
+%{_mandir}/man5/smb.conf.5*
+%{_mandir}/man5/lmhosts.5*
+%{_mandir}/man8/smbpasswd.8*
+%{_mandir}/man1/wbinfo.1*
+%{_mandir}/man8/winbindd.8*
+%{_mandir}/man8/net.8*
+%{_mandir}/man7/pam_winbind.7*
+%{_mandir}/man7/libsmbclient.7*
+
+%changelog
+* Fri Jan 16 2004 Gerald (Jerry) Carter <jerry@samba,org>
+- Removed ChangeLog entries since they are kept in CVS
+
+
+
diff --git a/packaging/RHEL4-CTDB/setup/filter-requires-samba.sh b/packaging/RHEL4-CTDB/setup/filter-requires-samba.sh
new file mode 100644 (file)
index 0000000..f90085c
--- /dev/null
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+/usr/lib/rpm/perl.req $* | grep -E -v '(Net::LDAP|Crypt::SmbHash|CGI|Unicode::MapUTF8)'
+
diff --git a/packaging/RHEL4-CTDB/setup/samba.log b/packaging/RHEL4-CTDB/setup/samba.log
new file mode 100644 (file)
index 0000000..a3c000e
--- /dev/null
@@ -0,0 +1,9 @@
+/var/log/samba/*.log /var/log/samba/log.smbd /var/log/samba/log.nmbd {
+    notifempty
+    missingok
+    sharedscripts
+    copytruncate
+    postrotate
+       /bin/kill -HUP `cat /var/run/smbd.pid /var/run/nmbd.pid /var/run/winbindd.pid 2> /dev/null` 2> /dev/null || true
+    endscript
+}
diff --git a/packaging/RHEL4-CTDB/setup/samba.pamd b/packaging/RHEL4-CTDB/setup/samba.pamd
new file mode 100644 (file)
index 0000000..8c529da
--- /dev/null
@@ -0,0 +1,4 @@
+auth    required       pam_stack.so service=system-auth
+session  required      pam_stack.so service=system-auth
+account         required       pam_stack.so service=system-auth
+password required      pam_stack.so service=system-auth
diff --git a/packaging/RHEL4-CTDB/setup/samba.sysconfig b/packaging/RHEL4-CTDB/setup/samba.sysconfig
new file mode 100644 (file)
index 0000000..944b72f
--- /dev/null
@@ -0,0 +1,6 @@
+# Options to smbd
+SMBDOPTIONS="-D"
+# Options to nmbd
+NMBDOPTIONS="-D"
+# Options for winbindd
+WINBINDOPTIONS=""
diff --git a/packaging/RHEL4-CTDB/setup/smb.conf b/packaging/RHEL4-CTDB/setup/smb.conf
new file mode 100644 (file)
index 0000000..971ca19
--- /dev/null
@@ -0,0 +1,271 @@
+# This is the main Samba configuration file. You should read the
+# smb.conf(5) manual page in order to understand the options listed
+# here. Samba has a huge number of configurable options (perhaps too
+# many!) most of which are not shown in this example
+#
+# For a step to step guide on installing, configuring and using samba, 
+# read the Samba-HOWTO-Collection. This may be obtained from:
+#  http://www.samba.org/samba/docs/Samba-HOWTO-Collection.pdf
+#
+# Many working examples of smb.conf files can be found in the 
+# Samba-Guide which is generated daily and can be downloaded from: 
+#  http://www.samba.org/samba/docs/Samba-Guide.pdf
+#
+# Any line which starts with a ; (semi-colon) or a # (hash) 
+# is a comment and is ignored. In this example we will use a #
+# for commentry and a ; for parts of the config file that you
+# may wish to enable
+#
+# NOTE: Whenever you modify this file you should run the command "testparm"
+# to check that you have not made any basic syntactic errors. 
+#
+#======================= Global Settings =====================================
+[global]
+
+# workgroup = NT-Domain-Name or Workgroup-Name, eg: MIDEARTH
+   workgroup = MYGROUP
+
+# server string is the equivalent of the NT Description field
+   server string = Samba Server
+
+# Security mode. Defines in which mode Samba will operate. Possible 
+# values are share, user, server, domain and ads. Most people will want 
+# user level security. See the Samba-HOWTO-Collection for details.
+   security = user
+
+# This option is important for security. It allows you to restrict
+# connections to machines which are on your local network. The
+# following example restricts access to two C class networks and
+# the "loopback" interface. For more examples of the syntax see
+# the smb.conf man page
+;   hosts allow = 192.168.1. 192.168.2. 127.
+
+# If you want to automatically load your printer list rather
+# than setting them up individually then you'll need this
+   load printers = yes
+
+# you may wish to override the location of the printcap file
+;   printcap name = /etc/printcap
+
+# on SystemV system setting printcap name to lpstat should allow
+# you to automatically obtain a printer list from the SystemV spool
+# system
+;   printcap name = lpstat
+
+# It should not be necessary to specify the print system type unless
+# it is non-standard. Currently supported print systems include:
+# bsd, cups, sysv, plp, lprng, aix, hpux, qnx
+;   printing = cups
+
+# Uncomment this if you want a guest account, you must add this to /etc/passwd
+# otherwise the user "nobody" is used
+;  guest account = pcguest
+
+# this tells Samba to use a separate log file for each machine
+# that connects
+   log file = /usr/local/samba/var/log.%m
+
+# Put a capping on the size of the log files (in Kb).
+   max log size = 50
+
+# Use password server option only with security = server
+# The argument list may include:
+#   password server = My_PDC_Name [My_BDC_Name] [My_Next_BDC_Name]
+# or to auto-locate the domain controller/s
+#   password server = *
+;   password server = <NT-Server-Name>
+
+# Use the realm option only with security = ads
+# Specifies the Active Directory realm the host is part of
+;   realm = MY_REALM
+
+# Backend to store user information in. New installations should 
+# use either tdbsam or ldapsam. smbpasswd is available for backwards 
+# compatibility. tdbsam requires no further configuration.
+;   passdb backend = tdbsam
+
+# Using the following line enables you to customise your configuration
+# on a per machine basis. The %m gets replaced with the netbios name
+# of the machine that is connecting.
+# Note: Consider carefully the location in the configuration file of
+#       this line.  The included file is read at that point.
+;   include = /usr/local/samba/lib/smb.conf.%m
+
+# Configure Samba to use multiple interfaces
+# If you have multiple network interfaces then you must list them
+# here. See the man page for details.
+;   interfaces = 192.168.12.2/24 192.168.13.2/24 
+
+# Browser Control Options:
+# set local master to no if you don't want Samba to become a master
+# browser on your network. Otherwise the normal election rules apply
+;   local master = no
+
+# OS Level determines the precedence of this server in master browser
+# elections. The default value should be reasonable
+;   os level = 33
+
+# Domain Master specifies Samba to be the Domain Master Browser. This
+# allows Samba to collate browse lists between subnets. Don't use this
+# if you already have a Windows NT domain controller doing this job
+;   domain master = yes 
+
+# Preferred Master causes Samba to force a local browser election on startup
+# and gives it a slightly higher chance of winning the election
+;   preferred master = yes
+
+# Enable this if you want Samba to be a domain logon server for 
+# Windows95 workstations. 
+;   domain logons = yes
+
+# if you enable domain logons then you may want a per-machine or
+# per user logon script
+# run a specific logon batch file per workstation (machine)
+;   logon script = %m.bat
+# run a specific logon batch file per username
+;   logon script = %U.bat
+
+# Where to store roving profiles (only for Win95 and WinNT)
+#        %L substitutes for this servers netbios name, %U is username
+#        You must uncomment the [Profiles] share below
+;   logon path = \\%L\Profiles\%U
+
+# Windows Internet Name Serving Support Section:
+# WINS Support - Tells the NMBD component of Samba to enable it's WINS Server
+;   wins support = yes
+
+# WINS Server - Tells the NMBD components of Samba to be a WINS Client
+#      Note: Samba can be either a WINS Server, or a WINS Client, but NOT both
+;   wins server = w.x.y.z
+
+# WINS Proxy - Tells Samba to answer name resolution queries on
+# behalf of a non WINS capable client, for this to work there must be
+# at least one WINS Server on the network. The default is NO.
+;   wins proxy = yes
+
+# DNS Proxy - tells Samba whether or not to try to resolve NetBIOS names
+# via DNS nslookups. The default is NO.
+   dns proxy = no 
+
+# These scripts are used on a domain controller or stand-alone 
+# machine to add or delete corresponding unix accounts
+;  add user script = /usr/sbin/useradd %u
+;  add group script = /usr/sbin/groupadd %g
+;  add machine script = /usr/sbin/adduser -n -g machines -c Machine -d /dev/null -s /bin/false %u
+;  delete user script = /usr/sbin/userdel %u
+;  delete user from group script = /usr/sbin/deluser %u %g
+;  delete group script = /usr/sbin/groupdel %g
+
+
+#============================ Share Definitions ==============================
+[homes]
+   comment = Home Directories
+   browseable = no
+   writable = yes
+
+# Un-comment the following and create the netlogon directory for Domain Logons
+; [netlogon]
+;   comment = Network Logon Service
+;   path = /usr/local/samba/lib/netlogon
+;   guest ok = yes
+;   writable = no
+;   share modes = no
+
+
+# Un-comment the following to provide a specific roving profile share
+# the default is to use the user's home directory
+;[Profiles]
+;    path = /usr/local/samba/profiles
+;    browseable = no
+;    guest ok = yes
+
+
+# NOTE: If you have a BSD-style print system there is no need to 
+# specifically define each individual printer
+[printers]
+   comment = All Printers
+   path = /usr/spool/samba
+   browseable = no
+# Set public = yes to allow user 'guest account' to print
+   guest ok = no
+   writable = no
+   printable = yes
+
+# This one is useful for people to share files
+;[tmp]
+;   comment = Temporary file space
+;   path = /tmp
+;   read only = no
+;   public = yes
+
+# A publicly accessible directory, but read only, except for people in
+# the "staff" group
+;[public]
+;   comment = Public Stuff
+;   path = /home/samba
+;   public = yes
+;   writable = yes
+;   printable = no
+;   write list = @staff
+
+# Other examples. 
+#
+# A private printer, usable only by fred. Spool data will be placed in fred's
+# home directory. Note that fred must have write access to the spool directory,
+# wherever it is.
+;[fredsprn]
+;   comment = Fred's Printer
+;   valid users = fred
+;   path = /homes/fred
+;   printer = freds_printer
+;   public = no
+;   writable = no
+;   printable = yes
+
+# A private directory, usable only by fred. Note that fred requires write
+# access to the directory.
+;[fredsdir]
+;   comment = Fred's Service
+;   path = /usr/somewhere/private
+;   valid users = fred
+;   public = no
+;   writable = yes
+;   printable = no
+
+# a service which has a different directory for each machine that connects
+# this allows you to tailor configurations to incoming machines. You could
+# also use the %U option to tailor it by user name.
+# The %m gets replaced with the machine name that is connecting.
+;[pchome]
+;  comment = PC Directories
+;  path = /usr/pc/%m
+;  public = no
+;  writable = yes
+
+# A publicly accessible directory, read/write to all users. Note that all files
+# created in the directory by users will be owned by the default user, so
+# any user with access can delete any other user's files. Obviously this
+# directory must be writable by the default user. Another user could of course
+# be specified, in which case all files would be owned by that user instead.
+;[public]
+;   path = /usr/somewhere/else/public
+;   public = yes
+;   only guest = yes
+;   writable = yes
+;   printable = no
+
+# The following two entries demonstrate how to share a directory so that two
+# users can place files there that will be owned by the specific users. In this
+# setup, the directory should be writable by both users and should have the
+# sticky bit set on it to prevent abuse. Obviously this could be extended to
+# as many users as required.
+;[myshare]
+;   comment = Mary's and Fred's stuff
+;   path = /usr/somewhere/shared
+;   valid users = mary fred
+;   public = no
+;   writable = yes
+;   printable = no
+;   create mask = 0765
+
+
diff --git a/packaging/RHEL4-CTDB/setup/smb.init b/packaging/RHEL4-CTDB/setup/smb.init
new file mode 100644 (file)
index 0000000..af85b2c
--- /dev/null
@@ -0,0 +1,135 @@
+#!/bin/sh
+#
+# chkconfig: - 91 35
+# description: Starts and stops the Samba smbd and nmbd daemons \
+#             used to provide SMB network services.
+#
+# pidfile: /var/run/samba/smbd.pid
+# pidfile: /var/run/samba/nmbd.pid
+# config:  /etc/samba/smb.conf
+
+
+# Source function library.
+if [ -f /etc/init.d/functions ] ; then
+  . /etc/init.d/functions
+elif [ -f /etc/rc.d/init.d/functions ] ; then
+  . /etc/rc.d/init.d/functions
+else
+  exit 0
+fi
+
+# Avoid using root's TMPDIR
+unset TMPDIR
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+if [ -f /etc/sysconfig/samba ]; then
+   . /etc/sysconfig/samba
+fi
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+# Check that smb.conf exists.
+[ -f /etc/samba/smb.conf ] || exit 0
+
+# Check that we can write to it... so non-root users stop here
+[ -w /etc/samba/smb.conf ] || exit 0
+
+# Check whether "netbios disabled" is true
+ISNETBIOSDISABLED=$(testparm -s 2>/dev/null | \
+       sed -n '/\[global\]/,/^$/p' | \
+       grep "disable netbios = Yes" | \
+       awk 'BEGIN{FS=" = "}{print $2}')
+
+
+RETVAL=0
+
+
+start() {
+       KIND="SMB"
+       echo -n $"Starting $KIND services: "
+       daemon smbd $SMBDOPTIONS
+       RETVAL=$?
+       echo
+       KIND="NMB"
+       if [ x"$ISNETBIOSDISABLED" != x"Yes" ]; then
+               echo -n $"Starting $KIND services: "
+               daemon nmbd $NMBDOPTIONS
+               RETVAL2=$?
+               echo
+               [ $RETVAL -eq 0 -a $RETVAL2 -eq 0 ] && touch /var/lock/subsys/smb || \
+                       RETVAL=1
+       else
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/smb || \
+                       RETVAL=1
+       fi
+       return $RETVAL
+}      
+
+stop() {
+       KIND="SMB"
+       echo -n $"Shutting down $KIND services: "
+       killproc smbd
+       RETVAL=$?
+       [ $RETVAL -eq 0 ] && rm -f /var/run/smbd.pid
+       echo
+       KIND="NMB"
+       if [ x"$ISNETBIOSDISABLED" != x"Yes" ]; then
+               echo -n $"Shutting down $KIND services: "
+               killproc nmbd 
+               RETVAL2=$?
+               [ $RETVAL2 -eq 0 ] && rm -f /var/run/nmbd.pid
+               [ $RETVAL -eq 0 -a $RETVAL2 -eq 0 ] && rm -f /var/lock/subsys/smb 
+               echo ""
+       else
+               [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/smb 
+               echo ""
+       fi
+       return $RETVAL
+}      
+
+restart() {
+       stop
+       start
+}      
+
+reload() {
+        echo -n $"Reloading smb.conf file: "
+       killproc smbd -HUP
+       RETVAL=$?
+       echo
+       return $RETVAL
+}      
+
+rhstatus() {
+       status smbd
+       status nmbd
+}      
+
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart)
+       restart
+       ;;
+  reload)
+       reload
+       ;;
+  status)
+       rhstatus
+       ;;
+  condrestart)
+       [ -f /var/lock/subsys/smb ] && restart || :
+       ;;
+  *)
+       echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
+       exit 1
+esac
+
+exit $?
diff --git a/packaging/RHEL4-CTDB/setup/smbprint b/packaging/RHEL4-CTDB/setup/smbprint
new file mode 100644 (file)
index 0000000..1c3959d
--- /dev/null
@@ -0,0 +1,84 @@
+#!/bin/sh
+# This script is an input filter for printcap printing on a unix machine. It
+# uses the smbclient program to print the file to the specified smb-based 
+# server and service.
+# For example you could have a printcap entry like this
+#
+# smb:lp=/dev/null:sd=/usr/spool/smb:sh:if=/usr/local/samba/smbprint
+#
+# which would create a unix printer called "smb" that will print via this 
+# script. You will need to create the spool directory /usr/spool/smb with
+# appropriate permissions and ownerships for your system.
+
+# Set these to the server and service you wish to print to 
+# In this example I have a WfWg PC called "lapland" that has a printer 
+# exported called "printer" with no password.
+
+#
+# Script further altered by hamiltom@ecnz.co.nz (Michael Hamilton)
+# so that the server, service, and password can be read from 
+# a /usr/var/spool/lpd/PRINTNAME/.config file.
+#
+# In order for this to work the /etc/printcap entry must include an 
+# accounting file (af=...):
+#
+#   cdcolour:\
+#      :cm=CD IBM Colorjet on 6th:\
+#      :sd=/var/spool/lpd/cdcolour:\
+#      :af=/var/spool/lpd/cdcolour/acct:\
+#      :if=/usr/local/etc/smbprint:\
+#      :mx=0:\
+#      :lp=/dev/null:
+#
+# The /usr/var/spool/lpd/PRINTNAME/.config file should contain:
+#   share=PC_SERVER
+#   user="user"
+#   password="password"
+#
+# Please, do not modify the order in the file.
+# Example:
+#   share=\\server\deskjet
+#   user="fred"
+#   password=""
+
+#
+# The last parameter to the filter is the accounting file name.
+#   Extract the directory name from the file name.
+#   Concat this with /.config to get the config file.
+#
+eval acct_file=\${$#}
+spool_dir=`dirname $acct_file` 
+config_file=$spool_dir/.config
+
+# Should read the following variables set in the config file:
+#   share
+#   hostip
+#   user
+#   password
+
+eval `cat $config_file`
+
+share=`echo $share | sed "s/[\]/\//g"`
+
+if [ "$user" != "" ]; then
+   usercmd="-U"
+else
+   usercmd=""
+fi
+
+if [ "$workgroup" != "" ]; then
+   workgroupcmd="-W"
+else
+   workgroupcmd=""
+fi
+
+if [ "$translate" = "yes" ]; then
+ command="translate ; print -"
+else
+ command="print -"
+fi
+#echo $share $password $translate $x_command > /tmp/smbprint.log
+
+cat | /usr/bin/smbclient "$share" "$password" -E ${hostip:+-I} \
+     $hostip -N -P $usercmd "$user" $workgroupcmd "$workgroup" \
+     -c "$command" 2>/dev/null
diff --git a/packaging/RHEL4-CTDB/setup/smbusers b/packaging/RHEL4-CTDB/setup/smbusers
new file mode 100644 (file)
index 0000000..ae3389f
--- /dev/null
@@ -0,0 +1,3 @@
+# Unix_name = SMB_name1 SMB_name2 ...
+root = administrator admin
+nobody = guest pcguest smbguest
diff --git a/packaging/RHEL4-CTDB/setup/swat b/packaging/RHEL4-CTDB/setup/swat
new file mode 100644 (file)
index 0000000..8b62348
--- /dev/null
@@ -0,0 +1,15 @@
+# default: off
+# description: SWAT is the Samba Web Admin Tool. Use swat \
+#             to configure your Samba server. To use SWAT, \
+#             connect to port 901 with your favorite web browser.
+service swat
+{
+       port            = 901
+       socket_type     = stream
+       wait            = no
+       only_from       = 127.0.0.1
+       user            = root
+       server          = /usr/sbin/swat
+       log_on_failure  += USERID
+       disable         = yes
+}
diff --git a/packaging/RHEL4-CTDB/setup/swat.desktop b/packaging/RHEL4-CTDB/setup/swat.desktop
new file mode 100644 (file)
index 0000000..0d7b4b5
--- /dev/null
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Samba Configuration
+Name[de]=Samba Konfiguration
+Type=Application
+Comment=Configure Samba with a web based interface
+Exec=htmlview http://127.0.0.1:901/
+Terminal=false
+Categories=X-Red-Hat-Extra;Application;System;X-Red-Hat-ServerConfig;
diff --git a/packaging/RHEL4-CTDB/setup/winbind.init b/packaging/RHEL4-CTDB/setup/winbind.init
new file mode 100644 (file)
index 0000000..a99038f
--- /dev/null
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# chkconfig: - 91 35
+# description: Starts and stops the Samba winbind daemon
+#             #
+# pidfile: /var/cache/samba/winbind.pid
+# config:  /etc/samba/smb.conf
+
+
+# Source function library.
+if [ -f /etc/init.d/functions ] ; then
+  . /etc/init.d/functions
+elif [ -f /etc/rc.d/init.d/functions ] ; then
+  . /etc/rc.d/init.d/functions
+else
+  exit 0
+fi
+
+# Avoid using root's TMPDIR
+unset TMPDIR
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+if [ -f /etc/sysconfig/samba ]; then
+   . /etc/sysconfig/samba
+fi
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+# Check that smb.conf exists.
+[ -f /etc/samba/smb.conf ] || exit 0
+
+RETVAL=0
+
+
+start() {
+        KIND="Winbind"
+       echo -n $"Starting $KIND services: "
+       daemon winbindd "$WINBINDOPTIONS"
+       RETVAL=$?
+       echo
+       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/winbindd || RETVAL=1
+       return $RETVAL
+}      
+
+stop() {
+        echo
+       KIND="Winbind"
+       echo -n $"Shutting down $KIND services: "
+       killproc winbindd
+       RETVAL=$?
+       [ $RETVAL -eq 0 ] && rm -f /var/run/winbindd.pid && rm -f /var/lock/subsys/winbindd
+       echo ""
+       return $RETVAL
+}      
+
+restart() {
+       stop
+       start
+}      
+
+reload() {
+        echo -n $"Reloading smb.conf file: "
+       killproc winbindd -HUP
+       RETVAL=$?
+       echo
+       return $RETVAL
+}      
+
+rhstatus() {
+       status winbindd
+}      
+
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart)
+       restart
+       ;;
+  reload)
+       reload
+       ;;
+  status)
+       rhstatus
+       ;;
+  condrestart)
+       [ -f /var/lock/subsys/winbindd ] && restart || :
+       ;;
+  *)
+       echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
+       exit 1
+esac
+
+exit $?